Bug 169992 - LTC18779-Lost dirty bit in kernel memory managment [PATCH]
LTC18779-Lost dirty bit in kernel memory managment [PATCH]
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
s390 Linux
medium Severity medium
: ---
: ---
Assigned To: Jan Glauber
Brian Brock
:
Depends On:
Blocks: 168424
  Show dependency treegraph
 
Reported: 2005-10-06 05:03 EDT by Issue Tracker
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version: RHSA-2006-0144
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-15 11:44:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
linux-2.4.21-s390-dirty_bit_fix.patch (2.53 KB, patch)
2005-10-31 08:48 EST, Jan Glauber
no flags Details | Diff

  None (edit)
Description Issue Tracker 2005-10-06 05:03:33 EDT
Escalated to Bugzilla from IssueTracker
Comment 2 Jatin Nansi 2005-10-06 05:05:41 EDT
Created attachment 119661 [details]
proposed patch
Comment 3 Peter Martuccelli 2005-10-20 12:16:05 EDT
Symptom: 	Data corruption under memory pressure.

Problem: 	The hardware dirty bit is cleared every time SetPageUptodate is
called. The common memory management code calls the function even if the page
already is up to date. In this case the dirty bit may not be cleared because the
page is potentially mapped writable in some user process which could have
written to the page since the last writeback.

Solution: 	Add a check to arch_set_page_uptodate to skip the clearing of 
the
dirty bit, if the page is already up to date.

Created an attachment (id=12671)
linux-2.4.21-s390-dirty_bit_fix.patch


This patch should go into the next update (U7) since it fixes a potential data
corruption.
Comment 5 Jan Glauber 2005-10-31 08:48:42 EST
Created attachment 120565 [details]
linux-2.4.21-s390-dirty_bit_fix.patch

Once again mirroring did ignore an attachment...
Comment 7 Ernie Petrides 2005-11-22 19:25:02 EST
A fix for this problem has just been committed to the RHEL3 U7
patch pool this evening (in kernel version 2.4.21-37.10.EL).
Comment 11 Red Hat Bugzilla 2006-03-15 11:44:38 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0144.html

Note You need to log in before you can comment on or make changes to this bug.